Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
response = client.dns.lookup()
print(response)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/dns"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.DNS.Lookup(context.TODO(), dns.DNSLookupParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response)
}
curl --request GET \
--url https://api.gcore.com/dns/v2/lookup \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/dns/v2/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"content": [
"<string>"
],
"name": "<string>",
"ttl": 123,
"type": "<string>"
}
]This response has no body data.Lookup
Lookup
Get the dns records from a specific domain or ip.
GET
/
dns
/
v2
/
lookup
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
response = client.dns.lookup()
print(response)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/dns"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.DNS.Lookup(context.TODO(), dns.DNSLookupParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Domain name
Server that will be used as resolver
Available options:
authoritative_dns, google, cloudflare, open_dns, quad9, gcore Was this page helpful?
⌘I